1. Ginachicago's Avatar
    Hi guys,
    I am not very techie and need some help. A couple weeks ago, my Facebook app started acting funny. I deleted it and went to re-install it today. Along with FB, I've tried to download a few other apps to my iphone 3 G (about 6 months old).

    I am getting the following message:

    Not Compatibile
    This application is not compatible with this iphone.

    I believe i have one of the newest phones! How can I be unable to download a program as average as Facebook?

    Is it a problem with my iphone?

    Any tips are SO appreciated!

    Thanks,
    Gina
    2009-03-21 05:19 PM
  2. bhz1's Avatar
    What firmware are you running on your 3G? Some of the apps require newer versions.
    2009-03-21 08:24 PM
  3. aussiebob's Avatar
    My friend got some message like that when he connected and synct the first time and answered No to the question where it said something like Apple would like to view what software or version you are running.
    My signiture? Whats that...............
    2009-03-22 07:44 AM
  4. StealthBravo's Avatar
    need to know version
    2009-03-24 06:29 AM
  5. bhz1's Avatar
    need to know version
    Yes can't help until we know what firmware you are running on your iPhone. Go into "settings" then "General" then "About". Scroll down to "Version" and tell us what it says.
    2009-03-24 02:12 PM
  6. Money Over's Avatar
    You will need the latest firmware, if this still isnt the case then restore and set up as a new phone
    Signature cleaned...
    2009-03-25 04:19 PM
  7. form51s's Avatar
    Hi,
    I have been having the same message come up when i try and install simple apps like the dictionary.
    My iphone is the 3G version 2.1 (5f136)
    Any help would be greatly aprreciated
    2009-07-20 09:20 PM
LINK TO POST COPIED TO CLIPBOARD